Loading...
Searching...
No Matches
osmium::thread::function_wrapper::impl_base Struct Reference
Inheritance diagram for osmium::thread::function_wrapper::impl_base:
[legend]

## Public Member Functions

| impl_base () noexcept=default
| impl_base (const impl_base &) noexcept=default
impl_base & | operator= (const impl_base &) noexcept=default
| impl_base (impl_base &&) noexcept=default
impl_base & | operator= (impl_base &&) noexcept=default
virtual | ~impl_base () noexcept=default
virtual bool | call ()

## Constructor & Destructor Documentation

## impl_base() [1/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( |  | ) |

defaultnoexcept

## impl_base() [2/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( | const impl_base & |  | ) |

defaultnoexcept

## impl_base() [3/3]

osmium::thread::function_wrapper::impl_base::impl_base | ( | impl_base && |  | ) |

defaultnoexcept

## ~impl_base()

virtual osmium::thread::function_wrapper::impl_base::~impl_base | ( |  | ) |

virtualdefaultnoexcept

## Member Function Documentation

## call()

virtual bool osmium::thread::function_wrapper::impl_base::call | ( |  | ) |

inlinevirtual

Reimplemented in osmium::thread::function_wrapper::impl_type< F >.

## operator=() [1/2]

impl_base & osmium::thread::function_wrapper::impl_base::operator= | ( | const impl_base & |  | ) |

defaultnoexcept

## operator=() [2/2]

impl_base & osmium::thread::function_wrapper::impl_base::operator= | ( | impl_base && |  | ) |

defaultnoexcept

The documentation for this struct was generated from the following file:

- include/osmium/thread/function_wrapper.hpp